Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet
Class ConfigParameter

    java.lang.Object
      |
      +--xdoclet.ConfigParameter

All Implemented Interfaces:
  java.io.Serializable

public final class ConfigParameter
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision: 1.5 $
Author:
  Ara Abrahamian (ara_e@email.com)
See Also:
  Serialized Form
ant.element
  name="configParam"
created
  Jan 21, 2002

Constructor Summary
`ConfigParameter()`

Method Summary
`java.lang.String` | `getName()` Gets the Name attribute of the ConfigParameter object
`java.lang.String` | `getValue()` Gets the Value attribute of the ConfigParameter object
`void` | `setName(java.lang.String name)` Sets the Name attribute of the ConfigParameter object
`void` | `setValue(java.lang.String value)` Sets the Value attribute of the ConfigParameter object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigParameter

    public ConfigParameter()

Method Detail

### getName

    public java.lang.String getName()

  Gets the Name attribute of the ConfigParameter object

  Returns:
    The Name value

### getValue

    public java.lang.String getValue()

  Gets the Value attribute of the ConfigParameter object

  Returns:
    The Value value

### setName

    public void setName(java.lang.String name)

  Sets the Name attribute of the ConfigParameter object

  Parameters:
    `name` - The new Name value

### setValue

    public void setValue(java.lang.String value)

  Sets the Value attribute of the ConfigParameter object

  Parameters:
    `value` - The new Value value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD